Debian Bug report logs - #638339
blcr: Does not build/work with Linux 2.6.39 or later

version graph

Package: blcr-dkms; Maintainer for blcr-dkms is Alan Woodland <awoodland@debian.org>; Source for blcr-dkms is src:blcr.

Reported by: Julian Taylor <jtaylor.debian@googlemail.com>

Date: Thu, 18 Aug 2011 18:15:02 UTC

Severity: serious

Tags: confirmed, help, sid, wheezy

Merged with 651747, 668348, 689729, 692228

Found in versions 0.8.2-15ubuntu1, blcr/0.8.4-1, blcr/0.8.2-15, blcr/0.8.4-2

Fixed in version blcr/0.8.5~b2-1

Done: Alan Woodland <awoodland@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#638339; Package blcr-dkms. (Thu, 18 Aug 2011 18:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
New Bug report received and forwarded. Copy sent to Alan Woodland <awoodland@debian.org>. (Thu, 18 Aug 2011 18:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: blcr-dkms: requires 2.[46] kernel version string
Date: Thu, 18 Aug 2011 20:13:53 +0200
Package: blcr-dkms
Version: 0.8.2-15ubuntu1
Severity: serious
Justification: fails to install

acinclude.m4 contains following check on the kernel version:
# Match all kernels major/minor we might accept
m4_define([cr_kern_maj_min_patt],[[2\.[46]\.]])[]dnl  No SUBLEVEL or following

which leads to following error when building the module for a 3.0 kernel:
configure: error: --with-linux argument '3.0.0-1-686-pae is neither a kernel
version string nor a full path
make[1]: *** [/var/lib/dkms/blcr/0.8.2/build/config-stamp] Error 1

see also this bug in ubuntu:
https://bugs.launchpad.net/ubuntu/+source/blcr/+bug/804943



-- System Information:
Debian Release: wheezy/sid
  APT prefers oneiric-updates
  APT policy: (500, 'oneiric-updates'), (500, 'oneiric-security'), (500, 'oneiric'), (100, 'oneiric-backports')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-8-generic (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages blcr-dkms depends on:
ii  dkms                     2.2.0.2-1       Dynamic Kernel Module Support Fram
ii  linux-headers-3.0.0-7 [l 3.0.0-7.9       Header files related to Linux kern
ii  linux-headers-3.0.0-7-ge 3.0.0-7.9       Linux kernel headers for version 3
ii  linux-headers-3.0.0-8 [l 3.0.0-8.11      Header files related to Linux kern
ii  linux-headers-3.0.0-8-ge 3.0.0-8.11      Linux kernel headers for version 3
ii  linux-headers-generic    3.0.0.8.9       Generic Linux kernel headers
ii  make                     3.81-8.1ubuntu1 An utility for Directing compilati

Versions of packages blcr-dkms recommends:
ii  blcr-util                0.8.2-15ubuntu1 Userspace tools to Checkpoint and 

blcr-dkms suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#638339; Package blcr-dkms. (Thu, 18 Aug 2011 19:24:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Thu, 18 Aug 2011 19:24:16 GMT) Full text and rfc822 format available.

Message #10 received at 638339@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: 638339@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Confirmed
Date: Thu, 18 Aug 2011 20:03:10 +0100
tags 638339 +confirmed
thanks

Hi,

Thanks for this report. I'm aware of this issue, but it may be a while
until a fix is forthcoming since kernel support is lagging behind even
before the 3.0 series. I hope to have this fixed in time to release with
wheezy though.

There's a new release out yesterday, but for a Debian perspective it
changes very little other than the version number since we already
included almost all of the diff between 0.8.2 and 0.8.3 as patches.

Alan




Added tag(s) confirmed. Request was from Alan Woodland <awoodland@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 19:24:17 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 12 Oct 2011 19:15:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions blcr/0.8.4-1. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 12 Oct 2011 19:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#638339; Package blcr-dkms. (Wed, 12 Oct 2011 23:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Wed, 12 Oct 2011 23:39:05 GMT) Full text and rfc822 format available.

Message #21 received at 638339@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: "checkpoint@lbl.gov" <checkpoint@lbl.gov>
Cc: 638339@bugs.debian.org
Subject: Re: [Checkpoint] Announcing the release of BLCR 0.8.4
Date: Thu, 13 Oct 2011 00:34:27 +0100
On 12 October 2011 18:18, Paul H. Hargrove <PHHargrove@lbl.gov> wrote:
> Alan,

I've had a quick go at putting together a patch for 3.0.0 this evening.

> We are aware of 2 non-trivial issues in 2.6.39
That seems to match what I've seen too, as these issues are the only
big things I've encountered so far and I have a building, semi-working
module.

I had some trouble with it reporting unmatched System.map between
running kernel and compiled module which I'm reasonably sure is a
false positive although I've not tracked it down.

> + removal of the BKL
I worked around this with a "B BLCR L". It's too early though to say
if that's sufficient given I currently can't pass all the testsuite.

> + changes to the path lookup code.
I've made some progress towards this. It seems like the "right" thing
to do now is use struct path in a lot of places where struct nameidata
was correct previously. I've got a showstopper bug with my updated
cr_mknod though which suggests I haven't quite got the bigger picture
for the new code yet though.

I'm not out of ideas yet for the path lookup problems. I'll try and
fix this up and produce something worth sharing.

Alan




Forcibly Merged 638339 651747. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 11 Dec 2011 20:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#638339; Package blcr-dkms. (Sat, 24 Dec 2011 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Alan Woodland <awoodland@debian.org>. (Sat, 24 Dec 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #28 received at 638339@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Alan Woodland <awoodland@debian.org>
Cc: 638339@bugs.debian.org, "checkpoint@lbl.gov" <checkpoint@lbl.gov>
Subject: blur on linux >=2.6.39 - was: Re: [Checkpoint] Announcing the release of BLCR 0.8.4
Date: Sun, 25 Dec 2011 00:35:33 +0100
Hi Alan,

> > We are aware of 2 non-trivial issues in 2.6.39
> That seems to match what I've seen too, as these issues are the only
> big things I've encountered so far and I have a building, semi-working
> module.
> 
> I had some trouble with it reporting unmatched System.map between
> running kernel and compiled module which I'm reasonably sure is a
> false positive although I've not tracked it down.
> 
> > + removal of the BKL
> I worked around this with a "B BLCR L". It's too early though to say
> if that's sufficient given I currently can't pass all the testsuite.

Would you mind sharing your current patch for testing? If it already
helps getting the blcr kernel module build on >= 2.6.39, I'd be very
glad to try it out myself and provide feedback as well.

We've got a larger cluster running here and want to use blcr there
with more recent kernels.

Regards,

Adrian




Information forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#638339; Package blcr-dkms. (Sat, 14 Jan 2012 11:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Moeller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Alan Woodland <awoodland@debian.org>. (Sat, 14 Jan 2012 11:54:13 GMT) Full text and rfc822 format available.

Message #33 received at 638339@bugs.debian.org (full text, mbox):

From: Steffen Moeller <steffen_moeller@gmx.de>
To: Debian Bug Tracking System <638339@bugs.debian.org>
Subject: the problem still persists with 0.8.4
Date: Sat, 14 Jan 2012 12:52:02 +0100
Package: blcr-dkms
Version: 0.8.4-1
Followup-For: Bug #638339

DKMS make.log for blcr-0.8.4 for kernel 3.1.0-1-amd64 (x86_64)
Sat Jan 14 12:43:27 CET 2012
make: Entering directory `/usr/src/linux-headers-3.1.0-1-amd64'
/var/lib/dkms/blcr/0.8.4/build/Kbuild:19: /var/lib/dkms/blcr/0.8.4/build/module_files: No such file or directory
cd /var/lib/dkms/blcr/0.8.4/build && env -i PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/lib/dkms ./configure --disable-maintainer-mode --with-linux=3.1.0-1-amd64 --with-installed-
libcr --with-installed-util --with-components=modules --prefix=/usr && touch /var/lib/dkms/blcr/0.8.4/build/config-stamp
checking for a BSD-compatible install... /usr/bin/install -c
[...]
checking whether CXX='g++' acts like a C++ compiler... yes
checking whether CXX='g++' matches wordsize of CC... yes
checking for value of CR_SIGNUM... 64
checking size of void *... (cached) 8
checking compiler to build kernel modules... gcc (default)
checking for BSD- or MS-compatible name lister (nm)... (cached) /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... (cached) BSD nm
configure: error: --with-linux argument '3.1.0-1-amd64' is neither a kernel version string nor a full path
make[3]: *** [/var/lib/dkms/blcr/0.8.4/build/config-stamp] Error 1
make[2]: *** [_module_/var/lib/dkms/blcr/0.8.4/build] Error 2
make[1]: *** [sub-make] Error 2
make: *** [all] Error 2
make: Leaving directory `/usr/src/linux-headers-3.1.0-1-amd64'


Please shout out for help if you need help with this.
Thanks
Steffen

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages blcr-dkms depends on:
ii  dkms                                         2.2.0.3-1
ii  linux-headers-3.1.0-1-amd64 [linux-headers]  3.1.8-2
ii  linux-headers-amd64 [linux-headers]          3.1+41
ii  make                                         3.81-8.1

Versions of packages blcr-dkms recommends:
ii  blcr-util  0.8.4-1

blcr-dkms suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#638339; Package blcr-dkms. (Sat, 14 Jan 2012 14:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Sat, 14 Jan 2012 14:27:05 GMT) Full text and rfc822 format available.

Message #38 received at 638339@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: Steffen Moeller <steffen_moeller@gmx.de>, 638339@bugs.debian.org
Subject: Re: Bug#638339: the problem still persists with 0.8.4
Date: Sat, 14 Jan 2012 14:23:05 +0000
On 14 January 2012 11:52, Steffen Moeller <steffen_moeller@gmx.de> wrote:
> Package: blcr-dkms
> Version: 0.8.4-1
> Followup-For: Bug #638339
>
> DKMS make.log for blcr-0.8.4 for kernel 3.1.0-1-amd64 (x86_64)
> Sat Jan 14 12:43:27 CET 2012
> make: Entering directory `/usr/src/linux-headers-3.1.0-1-amd64'
> /var/lib/dkms/blcr/0.8.4/build/Kbuild:19: /var/lib/dkms/blcr/0.8.4/build/module_files: No such file or directory
> cd /var/lib/dkms/blcr/0.8.4/build && env -i PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/lib/dkms ./configure --disable-maintainer-mode --with-linux=3.1.0-1-amd64 --with-installed-
> libcr --with-installed-util --with-components=modules --prefix=/usr && touch /var/lib/dkms/blcr/0.8.4/build/config-stamp
> checking for a BSD-compatible install... /usr/bin/install -c
> [...]
> checking whether CXX='g++' acts like a C++ compiler... yes
> checking whether CXX='g++' matches wordsize of CC... yes
> checking for value of CR_SIGNUM... 64
> checking size of void *... (cached) 8
> checking compiler to build kernel modules... gcc (default)
> checking for BSD- or MS-compatible name lister (nm)... (cached) /usr/bin/nm -B
> checking the name lister (/usr/bin/nm -B) interface... (cached) BSD nm
> configure: error: --with-linux argument '3.1.0-1-amd64' is neither a kernel version string nor a full path
> make[3]: *** [/var/lib/dkms/blcr/0.8.4/build/config-stamp] Error 1
> make[2]: *** [_module_/var/lib/dkms/blcr/0.8.4/build] Error 2
> make[1]: *** [sub-make] Error 2
> make: *** [all] Error 2
> make: Leaving directory `/usr/src/linux-headers-3.1.0-1-amd64'
>
>
> Please shout out for help if you need help with this.
> Thanks
> Steffen

If you're offering to help put together a new patch that would be
greatly appreciated. I have a patch that builds currently, but it
doesn't actually work (i.e. fails tests with kernel oops), so is worse
than no patch! I've not made much progress to tracking it down, but I
think both my path lookup and BKL removal handling is wrong.

[1] basically sums up the extent of my progress towards a patch.
Hacking the build to allow new version numbers is trivial, and I'm not
certain on the rest of the changes, so I've not let it loose.

Alan

[1] https://hpcrdm.lbl.gov/pipermail/checkpoint/2011-October/000335.html




Added tag(s) help. Request was from Alan Woodland <alan.woodland@gmail.com> to control@bugs.debian.org. (Wed, 11 Apr 2012 09:21:30 GMT) Full text and rfc822 format available.

Marked as found in versions blcr/0.8.4-2. Request was from Alan Woodland <alan.woodland@gmail.com> to control@bugs.debian.org. (Wed, 11 Apr 2012 09:21:32 GMT) Full text and rfc822 format available.

Merged 638339 651747 668348 Request was from Alan Woodland <alan.woodland@gmail.com> to control@bugs.debian.org. (Wed, 11 Apr 2012 09:21:35 GMT) Full text and rfc822 format available.

Marked as found in versions blcr/0.8.2-15. Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 05 Oct 2012 16:21:10 GMT) Full text and rfc822 format available.

Merged 638339 651747 668348 689729 Request was from Mathieu Malaterre <malat@debian.org> to control@bugs.debian.org. (Fri, 05 Oct 2012 16:21:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'blcr: Does not build/work with Linux 2.6.39 or later' from 'blcr-dkms: requires 2.[46] kernel version string' Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 14 Oct 2012 15:12:08 GMT) Full text and rfc822 format available.

Merged 638339 651747 668348 689729 692228 Request was from Andreas Beckmann <debian@abeckmann.de> to control@bugs.debian.org. (Sun, 04 Nov 2012 00:15:05 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Sun, 02 Dec 2012 11:21:12 GMT) Full text and rfc822 format available.

Notification sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Bug acknowledged by developer. (Sun, 02 Dec 2012 11:21:12 GMT) Full text and rfc822 format available.

Message #57 received at 638339-close@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: 638339-close@bugs.debian.org
Subject: Bug#638339: fixed in blcr 0.8.4-3
Date: Sun, 02 Dec 2012 11:17:36 +0000
Source: blcr
Source-Version: 0.8.4-3

We believe that the bug you reported is fixed in the latest version of
blcr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638339@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alan Woodland <awoodland@debian.org> (supplier of updated blcr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 2 Dec 2012 12:17:58 +0000
Source: blcr
Binary: blcr-util blcr-testsuite libcr0 libcr-dbg lib32cr0 libcr-dev
Architecture: source amd64
Version: 0.8.4-3
Distribution: unstable
Urgency: high
Maintainer: Alan Woodland <awoodland@debian.org>
Changed-By: Alan Woodland <awoodland@debian.org>
Description: 
 blcr-testsuite - Userspace tools to Checkpoint and Restart Linux processes
 blcr-util  - Userspace tools to Checkpoint and Restart Linux processes
 lib32cr0   - (32bit) Libraries to Checkpoint and Restart Linux processes
 libcr-dbg  - Libraries to Checkpoint and Restart Linux processes
 libcr-dev  - Development files for BLCR
 libcr0     - Libraries to Checkpoint and Restart Linux processes
Closes: 638339 690072
Changes: 
 blcr (0.8.4-3) unstable; urgency=high
 .
   * Preparing for Wheezy release
   * Drop -dkms package entirely since no kernel support anyway,
      userspace library will behave sanely still (Closes: #638339)
   * High urgency because of RC bug fixes
   * Conflicts with older -dkms package to force removal on upgraded systems
   * Drop recommends to suggets (Closes: #690072)
Checksums-Sha1: 
 72063b01dba9ce18b67e314e9d9882518057daaa 2038 blcr_0.8.4-3.dsc
 d4e6fddeca3083da21951899cf5fcd74ee8f627d 691828 blcr_0.8.4-3.debian.tar.gz
 e3610a0ac9778b19718a639540cc4ef722edd36b 43076 blcr-util_0.8.4-3_amd64.deb
 722b672c523d90d51082d8599171cbc0ae74e4d4 350012 blcr-testsuite_0.8.4-3_amd64.deb
 851b8ea211167b3e549f3cf01a170bdc97c5eba0 37140 libcr0_0.8.4-3_amd64.deb
 a3ed961f9645589738fa710dfc76e7495f912653 1133304 libcr-dbg_0.8.4-3_amd64.deb
 af7acb6cbc91fd2d2dc1206c6d9e1e7c5e619d7e 36678 lib32cr0_0.8.4-3_amd64.deb
 b68e211e20cfc2ff71d263dc062e6bd68806eaa6 43008 libcr-dev_0.8.4-3_amd64.deb
Checksums-Sha256: 
 0d15518e6a407319fab4b42a66c22146efcf4f2c728fd4708679f3290f1d6cdf 2038 blcr_0.8.4-3.dsc
 e174df3b31159b5ef203530dd7d075b9bc6325a287e528edb0816fcc0f837689 691828 blcr_0.8.4-3.debian.tar.gz
 4ec0142091e13ae297768bc44a426877261713a2ad705d5c60ecdc49d3bca2bc 43076 blcr-util_0.8.4-3_amd64.deb
 808a903f2c8f3451a4a4893eb3aa8cb2b1b7873f6ecc4f19a58301ee913d7853 350012 blcr-testsuite_0.8.4-3_amd64.deb
 a4bc2932689efdbfadee5ad38ab7969309400614342509593c255c2432b541fc 37140 libcr0_0.8.4-3_amd64.deb
 366ca9b99d198e5049ffe85470c5a33255953884c1dcb5bf20b89b85a42e196f 1133304 libcr-dbg_0.8.4-3_amd64.deb
 228d7fb4a49fcf7480711a1e8f82e1276f4fed6195f1196b42f6d487943c43fe 36678 lib32cr0_0.8.4-3_amd64.deb
 37718d976ca03964798fda3d10a2455b6e85b803052de60e64e796ed778b9135 43008 libcr-dev_0.8.4-3_amd64.deb
Files: 
 da5bca0eb026f4bacca1e54f6733b9da 2038 misc optional blcr_0.8.4-3.dsc
 c4028b435c635bc53b9242ff9649750b 691828 misc optional blcr_0.8.4-3.debian.tar.gz
 7b134e5a482fbc1ddd6a475ab6c2ba13 43076 misc optional blcr-util_0.8.4-3_amd64.deb
 67a371a879d6bba7736dd964032e4575 350012 misc optional blcr-testsuite_0.8.4-3_amd64.deb
 86e174f14690309ba85edd2a7877efdf 37140 libs optional libcr0_0.8.4-3_amd64.deb
 c9290e87cb07cbd251437e7c0b42fdb5 1133304 debug extra libcr-dbg_0.8.4-3_amd64.deb
 f394686657355e46d4cb50e235862646 36678 libs optional lib32cr0_0.8.4-3_amd64.deb
 df31bcd95415d5930719a4de4ae1595e 43008 libdevel optional libcr-dev_0.8.4-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQuzaDAAoJEFCYAhxwUYB4MkAQAK7cUMp5ldIZub8ZQV4pGrnK
USQ6B/7ZJe6pKvmtpMNp2MqOgMjGYpElwzhpRyO51FQW1mrU/zCGTINCxQoanJ6e
NEhL19PMSV5QfBpTV5AiFYeh2CD5d6R5xT4GJEbwG1xK7DBINKYKxUaewkPHczjn
GYhGNJ5ATmZKMIUeAs5zKn4Vh8Dl2BDANGgbSBoFFtJcr8XK3oX4xVQCuKHZRvtf
dkv5bEhlXK+4rFPXFs1rZUK1D97n5+VE78v0WLp6wQsxQf2agjVc7kItfDdMKh4N
OEP7q7QmX4gGnVIuOuSU2udoMwYGHrH0b5BJkxf3hetGiUn6oSRLhxg4hDBXjvDb
EgU28RfRad1QnjiCKYCaePF5jGqGmxQ/tUwCZa0FGp4NAKMgGpoNIU0NSehyJgLi
jlHd4uD+oQn6ry4wbM26n/KU42I1YHc6qWiDw4MAXaSR57dy2oOeYGlHeI3Pbi53
xZovGVKszOhLcDOu3qgtdQ+TFH6jdm/OiWHTMEdems5ovEWmtJjASkilMIJWNYmo
9q/PTBPN1JVl17rQ6daJXWBR6jVGs7bLJE/xRse0IXPpakWy3uQ6/DBbOjcir6aF
uRA8ExUtjwQ/3AzrqMr4IiNAQumFP5duKBtlmnPfGHUQ+mHBfeQm6YZSdx8lnMMT
/Ga9zz3EYGrpFFpc+kmC
=Pe+O
-----END PGP SIGNATURE-----




Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Sun, 02 Dec 2012 11:21:13 GMT) Full text and rfc822 format available.

Notification sent to David Goodenough <david.goodenough@linkchoose.co.uk>:
Bug acknowledged by developer. (Sun, 02 Dec 2012 11:21:13 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Sun, 02 Dec 2012 11:21:13 GMT) Full text and rfc822 format available.

Notification sent to Steffen Moeller <steffen_moeller@gmx.de>:
Bug acknowledged by developer. (Sun, 02 Dec 2012 11:21:13 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Sun, 02 Dec 2012 11:21:14 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Sun, 02 Dec 2012 11:21:14 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Sun, 02 Dec 2012 11:21:15 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Niehaus <niehaus@web.de>:
Bug acknowledged by developer. (Sun, 02 Dec 2012 11:21:15 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Alan Woodland <awoodland@debian.org>:
Bug#638339; Package blcr-dkms. (Tue, 18 Dec 2012 11:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Hargrove <phhargrove@lbl.gov>:
Extra info received and forwarded to list. Copy sent to Alan Woodland <awoodland@debian.org>. (Tue, 18 Dec 2012 11:48:03 GMT) Full text and rfc822 format available.

Message #78 received at 638339@bugs.debian.org (full text, mbox):

From: Paul Hargrove <phhargrove@lbl.gov>
To: 638339@bugs.debian.org
Subject: blcr-0.8.4-3 STILL boes not build/work with Linux 2.6.39 or later
Date: Tue, 18 Dec 2012 03:33:34 -0800
[Message part 1 (text/plain, inline)]
With all due respect to Alan, removing the blcr-dkms package from the build
is *not* a fix for the reported problem
"blcr: Does not build/work with Linux 2.6.39 or later".

With the removal of the kernel module, the user space utilities in the
blcr-util package still all fail with recent kernels, since they require
the kernel module to function:

<code>
$ cr_checkpoint 0
Checkpoint failed: support missing from kernel
</code>

As announced in November on the BLCR mailing list [
https://hpcrdm.lbl.gov/pipermail/checkpoint/2012-November/000526.html], I
am working toward of goal of BLCR support for all current Linux kernel
versions by the end of this year.  In fact, I am expecting a Beta release
of blcr-0.8.5 later this week, for testing.

-Paul

-- 
Paul H. Hargrove                          PHHargrove@lbl.gov
Future Technologies Group
Computer and Data Sciences Department
Lawrence Berkeley National Laboratory
[Message part 2 (text/html, inline)]

Bug reopened Request was from Paul Hargrove <phhargrove@lbl.gov> to control@bugs.debian.org. (Tue, 18 Dec 2012 12:03:03 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions blcr/0.8.4-3. Request was from Paul Hargrove <phhargrove@lbl.gov> to control@bugs.debian.org. (Tue, 18 Dec 2012 12:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#638339; Package blcr-dkms. (Tue, 18 Dec 2012 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Woodland <awoodland@debian.org>:
Extra info received and forwarded to list. (Tue, 18 Dec 2012 22:27:03 GMT) Full text and rfc822 format available.

Message #87 received at 638339@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: Paul Hargrove <phhargrove@lbl.gov>, 638339@bugs.debian.org
Subject: Re: Bug#638339: blcr-0.8.4-3 STILL boes not build/work with Linux 2.6.39 or later
Date: Tue, 18 Dec 2012 22:25:04 +0000
On 18 December 2012 11:33, Paul Hargrove <phhargrove@lbl.gov> wrote:
>
> With all due respect to Alan, removing the blcr-dkms package from the build is *not* a fix for the reported problem
> "blcr: Does not build/work with Linux 2.6.39 or later".

I agree that this is less than ideal and will upload a new version as
soon as a suitable one is released.

> With the removal of the kernel module, the user space utilities in the blcr-util package still all fail with recent kernels, since they require the kernel module to function:
>
> <code>
> $ cr_checkpoint 0
> Checkpoint failed: support missing from kernel
> </code>

The current upload is intended as a stop-gap to avoid the complete
removal from Wheezy, which would have necessitated changes to the MPI
packages and made future support harder. As it stands userspace fails
gracefully and it's simple enough to slot working kernelspace support
back in as/when.

Alan

> As announced in November on the BLCR mailing list [https://hpcrdm.lbl.gov/pipermail/checkpoint/2012-November/000526.html], I am working toward of goal of BLCR support for all current Linux kernel versions by the end of this year.  In fact, I am expecting a Beta release of blcr-0.8.5 later this week, for testing.
>
> -Paul
>
> --
> Paul H. Hargrove                          PHHargrove@lbl.gov
> Future Technologies Group
> Computer and Data Sciences Department
> Lawrence Berkeley National Laboratory
>



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 22 Dec 2012 19:06:02 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 17:03:17 GMT) Full text and rfc822 format available.

Notification sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 17:03:17 GMT) Full text and rfc822 format available.

Message #94 received at 638339-close@bugs.debian.org (full text, mbox):

From: Alan Woodland <awoodland@debian.org>
To: 638339-close@bugs.debian.org
Subject: Bug#638339: fixed in blcr 0.8.5~b2-1
Date: Wed, 09 Jan 2013 17:00:27 +0000
Source: blcr
Source-Version: 0.8.5~b2-1

We believe that the bug you reported is fixed in the latest version of
blcr, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 638339@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alan Woodland <awoodland@debian.org> (supplier of updated blcr package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 22 Dec 2012 08:55:28 +0000
Source: blcr
Binary: blcr-util blcr-testsuite libcr0 libcr-dbg lib32cr0 libcr-dev blcr-dkms
Architecture: source all amd64
Version: 0.8.5~b2-1
Distribution: experimental
Urgency: low
Maintainer: Alan Woodland <awoodland@debian.org>
Changed-By: Alan Woodland <awoodland@debian.org>
Description: 
 blcr-dkms  - DKMS support for BLCR kernel module
 blcr-testsuite - Userspace tools to Checkpoint and Restart Linux processes
 blcr-util  - Userspace tools to Checkpoint and Restart Linux processes
 lib32cr0   - (32bit) Libraries to Checkpoint and Restart Linux processes
 libcr-dbg  - Libraries to Checkpoint and Restart Linux processes
 libcr-dev  - Development files for BLCR
 libcr0     - Libraries to Checkpoint and Restart Linux processes
Closes: 638339
Changes: 
 blcr (0.8.5~b2-1) experimental; urgency=low
 .
   * Update to beta2
 .
 blcr (0.8.5~b1-1) UNRELEASED; urgency=low
 .
   * Updated upstream to 0.8.5-b2
   * Adds experimental support for kernels up to and including 3.6.x (Closes: #638339) LP: 762996
   * Refreshed patches - 08_siginfo is now included upstream
   * Reenabled -dkms package, there's now support
Checksums-Sha1: 
 6751eb448a044005a619cf490c0200bf84c1a9f2 2108 blcr_0.8.5~b2-1.dsc
 85f485552662d6d68fba250447a7ed6d6f31385d 920662 blcr_0.8.5~b2.orig.tar.gz
 f0bc080d7eee52a61bbdee6a489ba1b52c345bcc 1018682 blcr_0.8.5~b2-1.debian.tar.gz
 afdf71e5995b3ea54d9cff4f5fa19ba42d2addbf 951584 blcr-dkms_0.8.5~b2-1_all.deb
 e7307171bf3d93ef386f29388fd5e55c1d79f355 43382 blcr-util_0.8.5~b2-1_amd64.deb
 2f85fba59a1888044751bcab5fea18b3c1b8dcbe 350314 blcr-testsuite_0.8.5~b2-1_amd64.deb
 c664561b519522846f4b2f2850eb0dc23ee4373a 36618 libcr0_0.8.5~b2-1_amd64.deb
 2719c44aa8af757c7fbf0c7564c3ac4c1914280b 1131162 libcr-dbg_0.8.5~b2-1_amd64.deb
 7b4c7ad8064db06c2ff6d8afaf52313d11ca6b55 36364 lib32cr0_0.8.5~b2-1_amd64.deb
 6132fa3b6101271ebbb0bf1186d6fd9f8a90fbf9 43298 libcr-dev_0.8.5~b2-1_amd64.deb
Checksums-Sha256: 
 89d29a1617ca9645be0ff85eaf87ed05d0be5d4561bfb8971f6b5fb5fe236d7e 2108 blcr_0.8.5~b2-1.dsc
 6cacf5f1a8d0b1c05824ecbdabf55596d91434aa0799a03abf84f1f7f5c25f8d 920662 blcr_0.8.5~b2.orig.tar.gz
 e90a12a8d7e35929b59827c685bfd5084646d08a8419be949a0d461752a5459a 1018682 blcr_0.8.5~b2-1.debian.tar.gz
 e513505a8a88e23ea89a2a9d988cb4e7cc37515fda343518456ab7c93d9e4253 951584 blcr-dkms_0.8.5~b2-1_all.deb
 981ac398cf3f4e7269b09cea308160ba686204b71c8d7e8cccff421ac2bf1e34 43382 blcr-util_0.8.5~b2-1_amd64.deb
 42f8f0e35b39521d311d8bf1df5362236c14fc574f4bda454321cbc9fc178041 350314 blcr-testsuite_0.8.5~b2-1_amd64.deb
 ade662e2cacdcaddb0872dbb12fe4c7ad860eea3328d4b60b45b3622a538ba16 36618 libcr0_0.8.5~b2-1_amd64.deb
 d6011346a8384f312b0497c76f1c44601aff690f4bf9410db1f4540d4f36811e 1131162 libcr-dbg_0.8.5~b2-1_amd64.deb
 3f91c7174306fa9ca3c3c35894b4670c38384bc262f4eed318b4b60260bd1abc 36364 lib32cr0_0.8.5~b2-1_amd64.deb
 e52686a03b5c7e1ad6833893fecc0963fe51fbafc7862c5388f30ffc318b2440 43298 libcr-dev_0.8.5~b2-1_amd64.deb
Files: 
 1abda2df87a8303afb30c347ec1e5efb 2108 misc optional blcr_0.8.5~b2-1.dsc
 e40ab1f011ca4be610221f94cdd347ab 920662 misc optional blcr_0.8.5~b2.orig.tar.gz
 21dcdbe547698fb5d6255f1a5eb610fa 1018682 misc optional blcr_0.8.5~b2-1.debian.tar.gz
 14a08ab1c3b21a654e793e04f0bd3b82 951584 kernel optional blcr-dkms_0.8.5~b2-1_all.deb
 c4ed3398188095a63377e82976b1cea1 43382 misc optional blcr-util_0.8.5~b2-1_amd64.deb
 5425651deeb0ca5a9ab09934d14a1fae 350314 misc optional blcr-testsuite_0.8.5~b2-1_amd64.deb
 57043082dbc441a6748dea5e3bd530b0 36618 libs optional libcr0_0.8.5~b2-1_amd64.deb
 f87085d17776b173cca075da376c8ac4 1131162 debug extra libcr-dbg_0.8.5~b2-1_amd64.deb
 9f65442ffeaa44781166b4d4b647f336 36364 libs optional lib32cr0_0.8.5~b2-1_amd64.deb
 acf4a134e23ffed2271fdbdad82765af 43298 libdevel optional libcr-dev_0.8.5~b2-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ1X5UAAoJEFCYAhxwUYB4ZiQP/2M0JWTfR92BAVmTwgMWIYGp
/z3X7O1aaWW67TB3dZdIJexTFM7XNSATdxFQx4UfJZGRj7HEWOn8F+dXLlwSjesM
9aNvYrphjU0kzAUFlz6FfqXbLgt1SGFpEYrSNRx2PFcCaNShldwGIXnce7C1rPfK
XTbfoq7Uu4oS+el5Eg1envaCn4V1k3CuYCleA70xvSFYUGEMw71xZuIPapB0DYK7
jiFEWPGaU95EJk8xwhh5vOSMfLobw+wEbpY9kzIQNyjdCqJiIINFQ+FkG8TgfZkt
0W151pPXb/3iQcLmb98h0c4dhNkHvISQVHqIMEIhWJUyW4HyrI/v0ZvINpV0ipZ8
hseHARHG4F/KFI6eKcP/W4rSZMZ+TpzvpthVNTofVHRDefbfrTVxsby3XXyPw7RP
tDelhT1VCPp0nGD/V6YglS62xWfGltzZ4jbsbc6FsFOaxGdOss6B6O939gJXX7TB
oeCEZBET/9w6JLZyT4olBLW9I+XHJBkGJs3+jWHnShWCP01cFSoZewT+eUK4Polp
I9suMGJkz5PhChuJx/tpSga8wYE80UM22zPxnPabVkmiAwPMfX/b3/fKP0Gt7aXI
MzHO7qSlB76poFOycMEMkT9BtXUnqit+WqsbYU1eNdU5mQOI1IEl4YcikYBFeZ2O
e3DbblvHb4P+cEoapvtp
=hTrR
-----END PGP SIGNATURE-----




Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 17:03:18 GMT) Full text and rfc822 format available.

Notification sent to David Goodenough <david.goodenough@linkchoose.co.uk>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 17:03:18 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 17:03:18 GMT) Full text and rfc822 format available.

Notification sent to Steffen Moeller <steffen_moeller@gmx.de>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 17:03:18 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 17:03:19 GMT) Full text and rfc822 format available.

Notification sent to Mathieu Malaterre <malat@debian.org>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 17:03:19 GMT) Full text and rfc822 format available.

Reply sent to Alan Woodland <awoodland@debian.org>:
You have taken responsibility. (Wed, 09 Jan 2013 17:03:20 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Niehaus <niehaus@web.de>:
Bug acknowledged by developer. (Wed, 09 Jan 2013 17:03:20 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 02 Mar 2013 07:26:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:42:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.